| Home | Libraries | People | FAQ | More

##### remove(rtree<...> &, Value const &)

Remove a value from the container.

###### Description

Remove a value from the container. In contrast to the ``std::set`` or ``std::map erase()`` method this function removes only one value from the container.

It calls `rtree::remove(value_type const&)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::size_type remove(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree, Value const & v)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`Value const &` | `v` | The value which will be removed from the index.

###### Returns

1 if value was removed, 0 otherwise.